package com.ruoyi.tcZz.service.impl;

import com.ruoyi.tcZz.domain.reponse.ScreenOpinionReportResponse;
import com.ruoyi.tcZz.domain.reponse.ScreenSourceResponse;
import com.ruoyi.tcZz.domain.reponse.ScreenSupervisionResponse;
import com.ruoyi.tcZz.mapper.ScreenMapper;
import com.ruoyi.tcZz.service.ScreenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 大屏接口实现层
 */
@Service
public class ScreenServiceImpl implements ScreenService {
    /**
     * 数据层
     */
    @Autowired
    private ScreenMapper screenMapper;

    @Override
    public ScreenSupervisionResponse getScreenSupervision() {
        return screenMapper.getScreenSupervision();

    }

    @Override
    public ScreenSourceResponse getScreenSource() {
        return screenMapper.getScreenSource();
    }

    @Override
    public ScreenOpinionReportResponse getScreenOpinionReport() {
        return screenMapper.getScreenOpinionReport();
    }
}
